Bug 175502 - (perl-Gtk2-Spell) Review Request: perl-Gtk2-Spell
Review Request: perl-Gtk2-Spell
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-11 19:17 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 18:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2005-12-11 19:17:15 EST
Spec Name or Url: http://www.mindspring.com/~cweyl/perl-Gtk2-Spell/perl-Gtk2-Spell.spec
SRPM Name or Url: http://www.mindspring.com/~cweyl/perl-Gtk2-Spell/perl-Gtk2-Spell-1.03-1.ckw.fc4.src.rpm

Description: gtkspell bindings for perl(Gtk2)
Perl bindings to GtkSpell, used in concert with Gtk2::TextView. Provides mis-spelled word highlighting in red and offers a right click pop-up menu with suggested corrections.

Please ignore the ".ckw.fc4" in the srpm's filename -- I have %dist set to that in my ~/.rpmmacros.

This is my first extras package, and I'm seeking a sponsor! :)
Comment 1 Kevin Fenzi 2005-12-13 20:00:29 EST
NOTE: I cannot sponsor, but here's a review. :)

Good: 
- Package name is good. 
- License is good and matches upstream (LGPL)
- Source is good and matches upstream
- builds fine on fc4/devel. 
- package seems to work as expected using the include test perl script. 

Minor:
- rpmlint warning: 
W: perl-Gtk2-Spell devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi/Gtk2/Spell/Install/gtk2spellperl.h
- why bother to use the %realname macro? Is the package name expected to change
very often? :) 
- why the 'echo n | ' in the build section? 
- Might include the Changelog file as a doc. 
Comment 2 Chris Weyl 2005-12-14 13:26:47 EST
Updated spec/srpm:
Spec Name or Url:
http://www.mindspring.com/~cweyl/perl-Gtk2-Spell/perl-Gtk2-Spell.spec
SRPM Name or Url:
http://www.mindspring.com/~cweyl/perl-Gtk2-Spell/perl-Gtk2-Spell-1.03-2.ckw.fc4.src.rpm

%realname is used as I was creating a bunch of module rpms for my own use; this
macro allowed me to quickly take a template spec file and cusomize it.

Minor issues addressed:
- 'echo n |' in %build nixed.
- ChangeLog included as a doc
Comment 3 Josh Boyer 2006-01-27 14:30:25 EST
Good:

All of the above and no more rpmlint warnings

TODOs:

- perl is not needed as a BuildRequires
- ditch the %realname macro

Fixup those two remaining issues and I think this is ready for approval
Comment 4 Chris Weyl 2006-02-16 20:40:03 EST
Updated spec/srpm:
Spec Name or Url:
http://www.mindspring.com/~cweyl/perl-Gtk2-Spell/perl-Gtk2-Spell.spec
SRPM Name or Url:
http://www.mindspring.com/~cweyl/perl-Gtk2-Spell/perl-Gtk2-Spell-1.03-1.ckw.fc4.src.rpm

TODOs from #3 addressed; release tag reset to 1.
Comment 5 Ralf Corsepius 2006-02-17 05:50:17 EST
Please remove the perl_* stuff at the very beginning of the spec.

Also, please don't reset the release tag, and increment it instead even during
reviews.
Comment 6 Chris Weyl 2006-02-18 11:27:45 EST
Updated spec/srpm:
Spec Name or Url:
http://www.mindspring.com/~cweyl/perl-Gtk2-Spell/perl-Gtk2-Spell.spec
SRPM Name or Url:
http://www.mindspring.com/~cweyl/perl-Gtk2-Spell/perl-Gtk2-Spell-1.03-4.ckw.fc4.src.rpm

Updated per #5.
Comment 7 Josh Boyer 2006-02-20 08:02:23 EST
This package is accepted.

Chris, you'll need to apply for CVS access here:

https://admin.fedora.redhat.com/accounts/

In the meantime, I've imported the SRPM into CVS.  Once you get CVS access, you
can request a build and create any branches you'd like.
Comment 8 Christian Iseli 2006-03-28 10:25:02 EST
Any particular reason why this package is not yet built and in owners.list ?
Comment 9 Chris Weyl 2006-03-28 10:46:03 EST
Yes, Real World/Life issues.  I'm just at the tail end of a transition from
living/working in Connecticut to California; I should be back up & running by
the end of the week.  Assuming the movers show up with my stuff today, of course :)
Comment 10 Hans de Goede 2006-06-08 03:40:24 EDT
Remving form FE_NEEDSPONSOR tracker bug, since this is closed.

Note You need to log in before you can comment on or make changes to this bug.